Skip to main content
POST
Generate HPP Link

Key Points

  • If the payload is pre-filled with data (e.g., amount, currency, customer details, return_url, payment method), these details will be reflected on the HPP, providing a streamlined user experience.
  • If the payload lacks certain data, the customer will need to manually enter the missing information on the HPP.
  • Ensure that the necessary headers and authentication details are included to successfully generate the HPP link.

Flow diagram

Flow diagram image

Notes

store_payment_method: Must be set to true in the payload to store the card token for future use.
Request Example
Setting store_payment_method to true ensures that the card token is stored for future transactions without needing to re-enter card details.
Response Example
The stored_payment_method_id can be used in the Use of Card Token API for future transactions without needing to re-enter card details.

Api Parameters

Authorizations

Authorization
string
header
required

API Key for Authorization. Format: 'Basic YOUR_API_KEY_HERE'

x-api-key
string
header
required

API Key specific to x-api-key.

Body

application/json

The request payload to generate an HPP link.

return_url
object
required

A JSON object containing the Return URLs.

currency
string
required

The processing currency (e.g., JPY).

Maximum string length: 3
Example:

"JPY"

merchant_id
string
required

The merchant ID (DASMID).

Maximum string length: 128
Example:

"< Merchant ID >"

merchant_email
string
required

The email address of the Merchant.

Maximum string length: 45
Example:

"merchant@testemail.com"

payment_method
object
required

A JSON object containing Payment Method.

billing_address
object
required

A JSON object containing the billing address of the cardholder.

amount
number

The amount of the transaction.

Example:

1000

merchant_txn_ref
string

The merchant transaction reference ID.

Maximum string length: 45
Example:

"2003089893366DTEST"

shipping_address
object

A JSON object containing the shipping address of the cardholder.

Response

200 - application/json

HPP link generated successfully

id
string

The transaction reference ID.

Example:

"f49173ce-4916-445c-a831-3c1468acf14e"

url
string

The URL Link of the hosted payment page link generated.

Example:

"https://checkout-dev.paymentoptions.com/jp/HostedPaymentPage/hKJsdByR"

amount
number

The amount of the transaction.

Example:

1000

currency
string

The processing currency of the transaction.

Example:

"JPY"

merchant_txn_ref
string

The merchant transaction reference ID.

Example:

"2003089893366DTEST"

merchant_id
string

The DAS merchant ID of the transaction performed.

Example:

"< Merchant ID >"

merchant_email
string

The email address of the Merchant.

Example:

"merchant@testemail.com"

return_url
object

A JSON object containing the Return URL.

billing_address
object

A JSON object containing the billing address of the cardholder.

shipping_address
object

A JSON object containing the shipping address of the cardholder.